## org.eclipse.emf.query.conditions.eobjects.structuralfeatures
Class EObjectReferencerCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectReferencerCondition

    public class EObjectReferencerCondition

extends EObjectCondition

An `EObjectCondition` subclass that tests if a given `EObject` references another `EObject.`

For the purposes of this condition, a container or containment EReference is not considered a "reference."

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectReferencerCondition(EObject referencedEObject)` A constructor, initializes this `EObjectReferencerCondition` with the passed arguments.
`EObjectReferencerCondition(EObject referencedEObject, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)` A constructor, initializes this `EObjectReferencerCondition` with the passed arguments.
`EObjectReferencerCondition(EObject referencedEObject, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter, PruneHandler pruneHandler)` * A constructor, initializes this `EObjectReferencerCondition` with the passed arguments.

Method Summary
`boolean` `isSatisfied(EObject eObject)` Checks the argument eObject if it has any non-containment `EReference` whose value is equal to/contains the referencedEObject that this `EObjectReferencerCondition` is initialized with.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectReferencerCondition

    public EObjectReferencerCondition(EObject referencedEObject,
                                      IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

  A constructor, initializes this `EObjectReferencerCondition` with the passed arguments. It default to using PruneHandler.NEVER

  Parameters:
    `referencedEObject` - The `EObject` to search for
    `eStructuralFeatureValueGetter` - the referencing `EReference` value getter

### EObjectReferencerCondition

    public EObjectReferencerCondition(EObject referencedEObject)

  A constructor, initializes this `EObjectReferencerCondition` with the passed arguments. It default to using PruneHandler.NEVER

  The default `EStructuralFeatureValueGetter` will be used when accessing the values of the EReferences.

  Parameters:
    `referencedEObject` - The `EObject` to search for

### EObjectReferencerCondition

    public EObjectReferencerCondition(EObject referencedEObject,
                                      IEStructuralFeatureValueGetter eStructuralFeatureValueGetter,
                                      PruneHandler pruneHandler)

  * A constructor, initializes this `EObjectReferencerCondition` with the passed arguments. It default to using PruneHandler.NEVER

  Parameters:
    `referencedEObject` - The `EObject` to search for
    `eStructuralFeatureValueGetter` - the referencing `EReference` value getter
    `pruneHandler` - The `PruneHandler`

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  Checks the argument eObject if it has any non-containment `EReference` whose value is equal to/contains the referencedEObject that this `EObjectReferencerCondition` is initialized with.

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.